# Class GenerateIvyDescriptor

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.publish.ivy.tasks.GenerateIvyDescriptor

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@UntrackedTask(because="Gradle doesn't understand the data structures") public abstract class GenerateIvyDescriptor extends DefaultTask
Generates an Ivy XML Module Descriptor file.

Since:
  1.4

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateIvyDescriptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) org.gradle.api.publish.ivy.internal.tasks.IvyDescriptorFileGenerator.DescriptorFileSpec`
  `computeIvyDescriptorFileSpec()`
  `void`
  `doGenerate()`
  Do generate.
  `IvyModuleDescriptorSpec`
  `getDescriptor()`
  The module descriptor metadata.
  `File`
  `getDestination()`
  The file the descriptor will be written to.
  `abstract RegularFileProperty`
  `getDestinationFile()`
  The file the descriptor will be written to.
  `protected abstract org.gradle.internal.file.PathToFileResolver`
  `getFileResolver()`
  `protected abstract ObjectFactory`
  `getObjectFactory()`
  `void`
  `setDescriptor(IvyModuleDescriptorSpec descriptor)`
  Sets the descriptor.
  `void`
  `setDestination(File destination)`
  Sets the destination the descriptor will be written to.
  `void`
  `setDestination(Object destination)`
  Sets the destination the descriptor will be written to.

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getLoggingManager, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, service, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache, service`

- ## Constructor Details

  - ### GenerateIvyDescriptor

    public GenerateIvyDescriptor()

- ## Method Details

  - ### getFileResolver

    @Inject protected abstract org.gradle.internal.file.PathToFileResolver getFileResolver()

  - ### getObjectFactory

    @Inject protected abstract ObjectFactory getObjectFactory()

  - ### getDescriptor

    @Internal public IvyModuleDescriptorSpec getDescriptor()
    The module descriptor metadata.
    Returns:
      The module descriptor.
    Since:
      1.4

  - ### setDescriptor

    public void setDescriptor(IvyModuleDescriptorSpec descriptor)
    Sets the descriptor.
    Since:
      2.1

  - ### getDestinationFile

    @Incubating @OutputFile public abstract RegularFileProperty getDestinationFile()
    The file the descriptor will be written to.
    Returns:
      The file the descriptor will be written to
    Since:
      9.7.0

  - ### getDestination

    @ReplacedBy("destinationFile") public File getDestination()
    The file the descriptor will be written to.
    Returns:
      The file the descriptor will be written to
    Since:
      1.4

  - ### setDestination

    public void setDestination(File destination)
    Sets the destination the descriptor will be written to.
    Parameters:
      `destination` - The file the descriptor will be written to.
    Since:
      4.0

  - ### setDestination

    public void setDestination(Object destination)
    Sets the destination the descriptor will be written to. The value is resolved with `Project.file(Object)`
    Parameters:
      `destination` - The file the descriptor will be written to.
    Since:
      1.4

  - ### doGenerate

    public void doGenerate()
    Do generate.
    Since:
      1.4

  - ### computeIvyDescriptorFileSpec

    org.gradle.api.publish.ivy.internal.tasks.IvyDescriptorFileGenerator.DescriptorFileSpec computeIvyDescriptorFileSpec()